diff --git a/install_msa_test.sh b/install_msa_test.sh
index 949b38cb95241827593068bba11968b8d1d723f9..c69a908b6ba436154f0bdaf7ff0741598446caa0 100644
--- a/install_msa_test.sh
+++ b/install_msa_test.sh
@@ -5,8 +5,8 @@ SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
 curl -sfL https://get.k3s.io | sh -
 
 #Download Linkerd and install onto cluster
-linkerd
-if [$? -eq 0]; then
+linkerd version
+if [ $? -eq 0 ]; then
    echo Linkerd already installed
 else
    curl --proto '=https' --tlsv1.2 -sSfL https://run.linkerd.io/install | sh
@@ -19,8 +19,8 @@ linkerd install --crds | kubectl apply -f -
 linkerd install | kubectl apply -f -
 
 #Install Helm if not present
-helm
-if [$? -eq 0]; then
+helm version
+if [ $? -eq 0 ]; then
    echo Helm already installed
 else
    curl https://baltocdn.com/helm/signing.asc | gpg --dearmor | sudo tee /usr/share/keyrings/helm.gpg > /dev/null
@@ -38,10 +38,10 @@ while [ $counter -le $retries ]
 do
    ((counter++))
    kubectl get ingressroute
-   if [$? -eq 0]; then
+   if [ $? -eq 0 ]; then
       break
    else
-      if [$counter -eq $retries]; then
+      if [ $counter -eq $retries ]; then
          echo CRDs are not yet available, please install helm-chart manually
          exit 1
       fi